# ``twisted`.`logger`.`_stdlib`.`StringifiableFromEvent``

class documentation

`class StringifiableFromEvent: (source)`

View In Hierarchy

An object that implements `__str__()` in order to defer the work of formatting until it's converted into a `str`.

Method | `__bytes__` | Undocumented
Method | `__init__` |
Method | `__str__` | Undocumented
Instance Variable | `event` | Undocumented

def __bytes__(self): (source)

Undocumented

Returns
`bytes` | Undocumented

def __init__(self, event): (source)

Parameters
event:`LogEvent` | An event.

def __str__(self): (source)

Undocumented

Returns
`str` | Undocumented

event = (source)

Undocumented